Robotsystem of the Robot Group Leipzig: OdeConfig Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OdeConfig Class Reference

The class $name holds the configurable parameters of the simulation environment. More...

`#include <odeconfig.h>`

Inherits Configurable.

Inheritance diagram for OdeConfig:

[legend]
Collaboration diagram for OdeConfig:

[legend]
List of all members.

## Public Member Functions
| OdeConfig ()
| ~OdeConfig ()
virtual paramkey | getName () const
| return the name of the object
virtual paramlist | getParamList () const
| The list of all parameters with there value as allocated lists.
virtual paramval | getParam (const paramkey &key) const
virtual bool | setParam (const paramkey &key, paramval val)
virtual void | setOdeHandle (const OdeHandle &odeHandle)
virtual void | setVideoRecordingMode (bool mode)
## Public Attributes
bool | videoRecordingMode
double | simStepSize
double | realTimeFactor
int | drawInterval
int | controlInterval
double | motionPersistence
double | noise
double | gravity
double | cameraSpeed
bool | drawBoundings
std::string | name
OdeHandle | odeHandle

## Detailed Description

The class $name holds the configurable parameters of the simulation environment.

## Constructor & Destructor Documentation

OdeConfig | ( |  | ) |

~OdeConfig | ( |  | ) | `[inline]`

## Member Function Documentation

Configurable::paramkey getName | ( |  | ) | const`[virtual]`

return the name of the object

Reimplemented from Configurable.

Configurable::paramval getParam | ( | const paramkey & | key | ) | const`[virtual]`

Configurable::paramlist getParamList | ( |  | ) | const`[virtual]`

The list of all parameters with there value as allocated lists.

Returns:
  list of key-value pairs

Reimplemented from Configurable.

void setOdeHandle | ( | const OdeHandle & | odeHandle | ) | `[virtual]`

bool setParam | ( | const paramkey & | key,
|  | paramval | val |
| ) |  |  | `[virtual]`

void setVideoRecordingMode | ( | bool | mode | ) | `[virtual]`

## Member Data Documentation

double cameraSpeed

int controlInterval

bool drawBoundings

int drawInterval

double gravity

double motionPersistence

std::string name

Reimplemented from Configurable.

double noise

OdeHandle odeHandle

double realTimeFactor

double simStepSize

bool videoRecordingMode

The documentation for this class was generated from the following files:

- odeconfig.h
- odeconfig.cpp